Bug 23039 - Hold found modal on checkin screen ( circulation.pl ) obscures Check in message info
Summary: Hold found modal on checkin screen ( circulation.pl ) obscures Check in messa...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23399
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-03 16:41 UTC by Kyle M Hall
Modified: 2019-12-03 21:23 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23039: Hold found modal on checkin screen ( circulation.pl ) obscures Check in message info (49.79 KB, patch)
2019-08-26 13:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23039: Hold found modal on checkin screen ( circulation.pl ) obscures Check in message info (49.79 KB, patch)
2019-08-27 12:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23039: Hold found modal on checkin screen ( circulation.pl ) obscures Check in message info (49.84 KB, patch)
2019-08-30 19:57 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23039: Don't hide the checkin dialogs (1.54 KB, patch)
2019-08-30 19:57 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23039: Hold found modal on checkin screen ( circulation.pl ) obscures Check in message info (49.89 KB, patch)
2019-09-20 19:39 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 23039: Don't hide the checkin dialogs (1.59 KB, patch)
2019-09-20 19:39 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 23039: Hold found modal on checkin screen ( circulation.pl ) obscures Check in message info (49.96 KB, patch)
2019-10-03 13:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23039: Don't hide the checkin dialogs (1.67 KB, patch)
2019-10-03 13:34 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2019-06-03 16:41:06 UTC
During the checkin process, all the message info is completely obscured by any modal forms that may be triggered by the checkin. In some cases that info could be vital to making an informed decision as to what option to choose in the modal itself.
Comment 1 Kyle M Hall 2019-06-03 16:46:24 UTC
Screencast example: https://monosnap.com/file/zHNCgXuEg0eG1BOb3hdKpIRlKnra4O
Comment 2 Martha Fuerst 2019-06-03 17:10:39 UTC
We circulate hotspots, and when a device is 4 days overdue, we mark it lost and damaged  and turn off the service. When these hotspots are returned, a hold will trigger (they are a high-demand item), but if the item has been deactivated, staff often miss this and trap the hold.

Moving the the modal so it does not obstruct these messages, or adding lost/damaged information to the modal would benefit us greatly.

Thanks!
Comment 3 Lisette Scheer 2019-07-31 15:20:53 UTC
> adding
> lost/damaged information to the modal would benefit us greatly.
> 
+1 for this!
Comment 4 Owen Leonard 2019-08-08 16:12:57 UTC
I've been working on a possible solution to this which moves check-in
messages into the confirmation modals. I've posted a brief video here
of how it looks:

https://zivotdesign.com/p/uploads/big/3d6b8a24067f27a834d03b8e104d7a40.mp4

If there is no popup (no hold confirmation, no transfer), messages and/or errors will be displayed onscreen just like they have in the past.

I'd love to hear opinions about it!
Comment 5 Martha Fuerst 2019-08-08 16:25:11 UTC
Owen, from a user-standpoint, your fix is brilliant and does what it needs to do. I can't speak to anything back-end.

Thanks so much!

-Marti
Comment 6 Ed Veal 2019-08-08 16:53:19 UTC
Owen, 

I am sure you have thought of this, (I have only watched your video) but we like to use custom sounds for different messages that the circ staff needs to know. To that end I am guessing you have added specific div or id so that we can use them to set up audio alerts. 

Ed
Comment 7 Owen Leonard 2019-08-08 17:30:07 UTC
Ed I'll double-check but the template markup is mostly just re-arranged so sounds should still work.
Comment 8 Kyle M Hall 2019-08-12 10:58:42 UTC
(In reply to Owen Leonard from comment #4)
> I've been working on a possible solution to this which moves check-in
> messages into the confirmation modals. I've posted a brief video here
> of how it looks:
> 
> https://zivotdesign.com/p/uploads/big/3d6b8a24067f27a834d03b8e104d7a40.mp4
> 
> If there is no popup (no hold confirmation, no transfer), messages and/or
> errors will be displayed onscreen just like they have in the past.
> 
> I'd love to hear opinions about it!

I like it!
Comment 9 Owen Leonard 2019-08-26 13:17:16 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2019-08-27 12:44:16 UTC Comment hidden (obsolete)
Comment 11 Nick Clemens 2019-08-30 19:57:52 UTC Comment hidden (obsolete)
Comment 12 Nick Clemens 2019-08-30 19:57:56 UTC Comment hidden (obsolete)
Comment 13 Nick Clemens 2019-08-30 20:00:13 UTC
I like this one Owen, I didn't like the way the dialogs disappeared when the modal appeared though. I am wondering if we can simply leave them in place? While we can bring the modal back up, it might be nice to keep the messages in place. I tried making them show on modal hide, but that added more page flicker

Feel free to SO or obsolete my follow-up, I won't argue strongly
Comment 14 Katrin Fischer 2019-09-02 05:45:11 UTC
(In reply to Nick Clemens from comment #13)
> I like this one Owen, I didn't like the way the dialogs disappeared when the
> modal appeared though. I am wondering if we can simply leave them in place?
> While we can bring the modal back up, it might be nice to keep the messages
> in place. I tried making them show on modal hide, but that added more page
> flicker
> 
> Feel free to SO or obsolete my follow-up, I won't argue strongly

Owen, could you take a look please? (Back to signed off after, please :) )
Comment 15 Owen Leonard 2019-09-03 13:23:57 UTC
(In reply to Nick Clemens from comment #13)

> I am wondering if we can simply leave them in place?

I don't have a problem with doing it this way.
Comment 16 Bouzid Fergani 2019-09-20 19:39:03 UTC Comment hidden (obsolete)
Comment 17 Bouzid Fergani 2019-09-20 19:39:21 UTC
Created attachment 93048 [details] [review]
Bug 23039: Don't hide the checkin dialogs

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Comment 18 Kyle M Hall 2019-10-03 13:34:13 UTC
Created attachment 93598 [details] [review]
Bug 23039: Hold found modal on checkin screen ( circulation.pl ) obscures Check in message info

This patch modifies the checkin process so that any errors or messages
related to the current checkin are displayed in any hold/transit modal
which is displayed. This prevents any information from being hidden by
the modal.

This patch also adds an "information" button to the checkout form which
the user can click to redisplay the last modal which was dismissed
(unless confirming the modal reloads the page).

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Test the checkin process with various types of items:
   - Item not checked out
   - Item not checked out, on hold
   - Item not checked out, needs to be transferred
   - Item is marked lost, needs to be transferred
   - Item checked out, patron has waiting holds (with
     WaitingNotifyAtCheckin enabled)
   - Item checked out, patron has outstanding fines (with
     FineNotifyAtCheckin enabled)

 - Test that the modal redisplay button works in cases where the modal
   is dismissed without triggering a page reload:
   - Hold confirmation -> Ignore
   - Transfer confirmation -> OK

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 19 Kyle M Hall 2019-10-03 13:34:37 UTC
Created attachment 93599 [details] [review]
Bug 23039: Don't hide the checkin dialogs

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 20 Martin Renvoize 2019-10-07 11:58:18 UTC
Nice work!

Pushed to master for 19.11.00
Comment 21 Martha Fuerst 2019-12-03 21:23:30 UTC
Any chance this will get backported to 19.05?

Thanks,

Marti Fuerst